MsWksSSParserInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
MsWksSSParserInternal::Spreadsheet Class Reference

the spreadsheet of a of a MsWksSSParser More...

## Public Member Functions
| Spreadsheet ()
| constructor More...
std::vector< float > | convertInPoint (std::vector< int > const &list, float defSize) const
| convert the m_widthCols in a vector of of point size More...

## Public Attributes
MWAWFont | m_font
| the default font More...
std::vector< int > | m_widthCols
| the column size in pixels(?) More...
std::vector< Cell > | m_cells
| the list of not empty cells More...
std::vector< int > | m_listPageBreaks
| the list of page break More...
std::map< int, MWAWEntry > | m_idNoteMap
| a map id->note content More...
std::string | m_name
| the spreadsheet name More...

## Protected Member Functions
MWAWVec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position More...

## Detailed Description

the spreadsheet of a of a MsWksSSParser

## Constructor & Destructor Documentation

MsWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

std::vector<float> MsWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list,
|  | float | defSize
| ) |  | const
| inline

convert the m_widthCols in a vector of of point size

Referenced by MsWksSSParser::sendSpreadsheet().

MWAWVec2i MsWksSSParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inlineprotected

returns the last Right Bottom cell position

## Member Data Documentation

std::vector<Cell> MsWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by MsWksSSParser::readSSheetZone(), and MsWksSSParser::sendSpreadsheet().

MWAWFont MsWksSSParserInternal::Spreadsheet::m_font

the default font

Referenced by MsWksSSParser::readSSheetZone(), and MsWksSSParser::sendSpreadsheet().

std::map<int,MWAWEntry> MsWksSSParserInternal::Spreadsheet::m_idNoteMap

a map id->note content

Referenced by MsWksSSParser::readSSheetZone().

std::vector<int> MsWksSSParserInternal::Spreadsheet::m_listPageBreaks

the list of page break

Referenced by MsWksSSParser::readSSheetZone().

std::string MsWksSSParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by MsWksSSParser::sendSpreadsheet().

std::vector<int> MsWksSSParserInternal::Spreadsheet::m_widthCols

the column size in pixels(?)

Referenced by MsWksSSParser::readSSheetZone(), and MsWksSSParser::sendSpreadsheet().

The documentation for this class was generated from the following file:

- MsWksSSParser.cxx